---
title: Deletes multiple attribute groups based on given attribute group Ids.
slug: api-documentation/deletes-multiple-attribute-groups-based-on-given-attribute-group-ids
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "AVaDqZFdfBRz5R_DrlozI",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.upstartcommerce.com/pim/batch/attribute-groups",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/attribute-groups"
      }
    ],
    "name": "Deletes multiple attribute groups based on given attribute group Ids.",
    "description": "This allows administrators to delete multiple attribute groups based on given attribute group Ids from the draft.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "AttributeGroupList.json",
          "schema": [],
          "modelRef": "RestAPI/GeneralRestResponse/AttributeGroupList.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "All attribute groups deleted against the attribute group Ids provided.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "207",
        "description": "<p>Some of attribute-groups are deleted.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "Allow",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Cache-Control",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Content-Type",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "ETag",
            "description": ""
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "rVTjUB2GZKUwI04Rs6CcA",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.upstartcommerce.com/pim/batch/attribute-groups \\\n     --header 'accept: application/json'"
        },
        {
          "id": "Fr1vuU5oZ_Yn_MOhW1kCe",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/attribute-groups\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PpvDSYaPpUgtHctdzouj3",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/attribute-groups\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "EikDsWnetXfJ-ye90gKzj",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/batch/attribute-groups\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "rVTjUB2GZKUwI04Rs6CcA"
    },
    "results": {
      "languages": [
        {
          "id": "espL2KAJ_Cm-rPzNw2to5",
          "language": "204",
          "code": "// All attribute groups deleted against the attribute group Ids provided.\n"
        },
        {
          "id": "_NLyPwsb5aq7HuqHNAVXX",
          "language": "207",
          "code": "// Some of attribute-groups are deleted.\n"
        }
      ],
      "selectedLanguageId": "espL2KAJ_Cm-rPzNw2to5"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}